Unable to access HA instance via DuckDNS after latest update (Unhandled exception in aiohttp/web_protocol.py:405)

Home Assistant 2022.11.1
Supervisor 2022.10.2
Operating System 9.3
Frontend 20221102.1 - latest

Ever since I updated to 2022.11 I’m unable to remotely access my HA instance using my DuckDNS URL over HTTPS. It happens both on my home network accessing the URL directly from a browser and when I’m away from the house trying to use the mobile app. It works fine if I use my local URL (https://homeassistant:8123) on my home network.

When I hit the URL I get the page that says “Loading data…” and then the page fails with ERR_FAILED. Looking at the logs I see a corresponding exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/base_events.py", line 1191, in _sendfile_fallback
    read = await self.run_in_executor(None, file.readinto, view)
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/aiohttp/web_protocol.py", line 514, in start
    resp, reset = await task
  File "/usr/local/lib/python3.10/site-packages/aiohttp/web_protocol.py", line 460, in _handle_request
    reset = await self.finish_response(request, resp, start_time)
  File "/usr/local/lib/python3.10/site-packages/aiohttp/web_protocol.py", line 613, in finish_response
    await prepare_meth(request)
  File "/usr/local/lib/python3.10/site-packages/aiohttp/web_fileresponse.py", line 286, in prepare
    return await self._sendfile(request, fobj, offset, count)
  File "/usr/local/lib/python3.10/site-packages/aiohttp/web_fileresponse.py", line 99, in _sendfile
    await loop.sendfile(transport, fobj, offset, count)
  File "/usr/local/lib/python3.10/asyncio/base_events.py", line 1170, in sendfile
    return await self._sendfile_fallback(transport, file,
  File "/usr/local/lib/python3.10/asyncio/base_events.py", line 1200, in _sendfile_fallback
    await proto.restore()
  File "/usr/local/lib/python3.10/asyncio/base_events.py", line 268, in restore
    self._transport.resume_reading()
  File "/usr/local/lib/python3.10/asyncio/sslproto.py", line 343, in resume_reading
    self._ssl_protocol._transport.resume_reading()
AttributeError: 'NoneType' object has no attribute 'resume_reading'

Doing some searching I found this old thread. I tried adding the base_url property to my configuration file but it didn’t solve the issue.

Anyone know what is causing this? Maybe it’s an integration that all of a sudden has an issue?

I signed up for the 31 day free trial of Nabu Casa and that URL worked perfectly. So appears to be something related to the DuckDNS approach :frowning:

I resolved this by making a new DuckDNS account and new URL. :man_shrugging: